libstdc++: __gnu_cxx::__detail::_Ffit_finder< _Tp > Class Template Reference

libstdc++

__gnu_cxx::__detail::_Ffit_finder< _Tp > Class Template Reference

`#include <bitmap_allocator.h>`

## Public Types
typedef _Block_pair | argument_type
typedef bool | result_type

## Public Member Functions
std::size_t * | _M_get () const throw ()
_Counter_type | _M_offset () const throw ()
bool | operator() (_Block_pair __bp) throw ()

## Detailed Description

template<typename _Tp>
class __gnu_cxx::__detail::_Ffit_finder< _Tp >

The class which acts as a predicate for applying the first-fit memory allocation policy for the bitmap allocator.

Definition at line 328 of file bitmap_allocator.h.

## Member Typedef Documentation

## ◆ argument_type

template<typename _Tp>

typedef _Block_pair __gnu_cxx::__detail::_Ffit_finder< _Tp >::argument_type

Definition at line 339 of file bitmap_allocator.h.

## ◆ result_type

template<typename _Tp>

typedef bool __gnu_cxx::__detail::_Ffit_finder< _Tp >::result_type

Definition at line 338 of file bitmap_allocator.h.

## Constructor & Destructor Documentation

## ◆ _Ffit_finder()

template<typename _Tp>

__gnu_cxx::__detail::_Ffit_finder< _Tp >::_Ffit_finder | ( |  | ) |
| inline

Definition at line 341 of file bitmap_allocator.h.

## Member Function Documentation

## ◆ _M_get()

template<typename _Tp>

std::size_t * __gnu_cxx::__detail::_Ffit_finder< _Tp >::_M_get | ( |  | ) | const
throw | ( | ) |  |  |
| inline

Definition at line 380 of file bitmap_allocator.h.

## ◆ _M_offset()

template<typename _Tp>

_Counter_type __gnu_cxx::__detail::_Ffit_finder< _Tp >::_M_offset | ( |  | ) | const
throw | ( | ) |  |  |
| inline

Definition at line 384 of file bitmap_allocator.h.

## ◆ operator()()

template<typename _Tp>

bool __gnu_cxx::__detail::_Ffit_finder< _Tp >::operator() | ( | _Block_pair | __bp | ) |
throw | ( | ) |  |  |
| inline

Definition at line 345 of file bitmap_allocator.h.

The documentation for this class was generated from the following file:

- bitmap_allocator.h